<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/talkCoordinatorLayout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".activities.TalkActivity">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <com.google.android.material.appbar.AppBarLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:theme="@style/AppTheme.AppBarOverlay">

            <androidx.appcompat.widget.Toolbar
                android:id="@+id/talkToolbar"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="?attr/colorPrimary"
                android:theme="?attr/actionBarTheme"
                app:contentInsetStart="0dp"
                app:popupTheme="@style/AppTheme.PopupOverlay">

                <androidx.cardview.widget.CardView
                    android:id="@+id/talkCardView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:foreground="?attr/selectableItemBackground"
                    app:cardBackgroundColor="@android:color/transparent"
                    app:cardCornerRadius="0dp"
                    app:cardElevation="0dp"
                    app:cardMaxElevation="0dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="4dp"
                        android:orientation="horizontal"
                        tools:ignore="UseCompoundDrawables">

                        <ImageView
                            android:id="@+id/avatarImageView"
                            android:layout_width="48dp"
                            android:layout_height="48dp"
                            android:layout_gravity="center_vertical"
                            android:layout_marginEnd="8dp"
                            android:contentDescription="@string/avatar_image"
                            app:srcCompat="@mipmap/ic_launcher_round" />

                        <TextView
                            android:id="@+id/titleTextView"
                            android:layout_width="match_parent"
                            android:layout_height="48dp"
                            android:layout_gravity="center_vertical"
                            android:gravity="center_vertical"
                            android:scrollbarAlwaysDrawHorizontalTrack="false"
                            android:scrollbarAlwaysDrawVerticalTrack="false"
                            android:textColor="#DDDDDD"
                            android:textSize="18sp"
                            android:textStyle="bold" />
                    </LinearLayout>
                </androidx.cardview.widget.CardView>
            </androidx.appcompat.widget.Toolbar>

            <com.google.android.material.tabs.TabLayout
                android:id="@+id/talkTabs"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="?attr/colorPrimary"
                android:visibility="gone"
                app:tabMode="scrollable" />
        </com.google.android.material.appbar.AppBarLayout>

        <ml.talkntrade.android.views.ContainerWithProgressBar
            android:id="@+id/talkContainer"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:container_visibility="gone"
            app:progress_bar_visibility="visible">

            <androidx.viewpager2.widget.ViewPager2
                android:id="@+id/talkViewPager"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />
        </ml.talkntrade.android.views.ContainerWithProgressBar>
    </LinearLayout>

</androidx.coordinatorlayout.widget.CoordinatorLayout>
